﻿/*

HOW TO CREATE A CSS3 DROPDOWN MENU [TUTORIAL]

"How to create a CSS3 Dropdown Menu [Tutorial]" was specially made for DesignModo by our friend Valeriu Timbuc.

Links:
http://vtimbuc.net/
https://twitter.com/vtimbuc
http://designmodo.com
http://vladimirkudinov.com

*/

/* Reset */
.menu-nabl,
.menu-nabl ul,
.menu-nabl li,
.menu-nabl a {
	margin: 0;
	padding: 0;
	border: none;
	outline: none;
}

/* Menu */
.menu-nabl {	
	height: 55px;
	width: 100px;
}
.menu-nabl ul{
	margin-left:-30px;
	margin-top:10px;
	position:relative;
	z-index:100;
}
.menu-nabl li {
	list-style: none;
	display: block;
	height: 55px;
}

/* Links */

.menu-nabl li a {
	display: block;

	margin: 6px 0;
	line-height: 28px;
	text-decoration: none;
	
	border-left: 1px solid #393942;
	border-right: 1px solid #4f5058;

	font-family: Helvetica, Arial, sans-serif;
	font-weight: bold;
	font-size: 13px;
	padding-right:20px;
	color: #f3f3f3;
	text-shadow: 1px 1px 1px rgba(0,0,0,.6);
	position:relative;
	z-index:100;
	-webkit-transition: color .2s ease-in-out;
	-moz-transition: color .2s ease-in-out;
	-o-transition: color .2s ease-in-out;
	-ms-transition: color .2s ease-in-out;
	transition: color .2s ease-in-out;
}

.menu-nabl li:first-child a { border-left: none; }
.menu-nabl li:last-child a{ border-right: none; }

.menu-nabl li:hover > a { color: #d7d7d7; }

/* Sub Menu */

.menu-nabl ul {
	position: absolute;
	top: 40px;
	left: 0;

	opacity: 0;
	
	background: #1f2024;

}

.menu-nabl li:hover > ul { opacity: 1; }

.menu-nabl ul li {
	height: 0;
	overflow: hidden;
	padding: 5px;

	-webkit-transition: height .25s ease .1s;
	-moz-transition: height .25s ease .1s;
	-o-transition: height .25s ease .1s;
	-ms-transition: height .25s ease .1s;
	transition: height .25s ease .1s;
}

.menu-nabl li:hover > ul li {
	height: 36px;
	overflow: visible;
	padding: 0;
}

.menu-nabl ul li a {
	width: 100px;
	padding: 4px 0 4px 40px;
	margin: 0;

	border: none;
	border-bottom: 1px solid #353539;
}

.menu-nabl ul li:last-child a { border: none; }